endpoint_ipc.h File Reference
`#include <gwenhywfar/endpoint.h>`
`#include <time.h>`

Go to the source code of this file.

## Functions

GWENHYWFAR_API GWEN_MSG_ENDPOINT * | GWEN_IpcEndpoint_CreateIpcTcpClient (const char *host, int port, const char *name, int groupId)
GWENHYWFAR_API GWEN_MSG_ENDPOINT * | GWEN_IpcEndpoint_CreateIpcTcpServiceForSocket (GWEN_SOCKET *sk, const char *name, int groupId)
GWENHYWFAR_API void | GWEN_IpcEndpoint_Extend (GWEN_MSG_ENDPOINT *ep)

## Function Documentation

## GWEN_IpcEndpoint_CreateIpcTcpClient()

GWENHYWFAR_API GWEN_MSG_ENDPOINT * GWEN_IpcEndpoint_CreateIpcTcpClient | ( | const char * | host,
|  | int | port,
|  | const char * | name,
|  | int | groupId )

Create a IPC client which works over a TCP connection.

References GWENHYWFAR_API.

## GWEN_IpcEndpoint_CreateIpcTcpServiceForSocket()

GWENHYWFAR_API GWEN_MSG_ENDPOINT * GWEN_IpcEndpoint_CreateIpcTcpServiceForSocket | ( | GWEN_SOCKET * | sk,
|  | const char * | name,
|  | int | groupId )

Create a IPC service for the given socket which works over a TCP connection. The given socket is expected to be created by accepting an incoming connection (e.g. from the callback function GWEN_ENDPOINT2_TCPD_ACCEPT_FN).

References GWENHYWFAR_API.

## GWEN_IpcEndpoint_Extend()

GWENHYWFAR_API void GWEN_IpcEndpoint_Extend | ( | GWEN_MSG_ENDPOINT * | ep | ) |

Extends the given endpoint to support GWEN IPC messages. It expects the function GWEN_MsgIoEndpoint2_Extend() to have been called beforehand.

References GWENHYWFAR_API.